package lab;

import javafx.geometry.Dimension2D;
import javafx.geometry.Point2D;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;

public class Level {

	private NicerObstacle nicerObstacle;
	private Obstacle obstacle1;
	private Obstacle obstacle2;
	private Player player;
	private double width;
	private double height;

	public Level(double width, double height) {
		this.width = width;
		this.height = height;
		nicerObstacle = new NicerObstacle(this, new Point2D(20, 150));
		obstacle1 = new Obstacle(this, new Point2D(300, 200), new Dimension2D(80, 40));
		obstacle2 = new Obstacle(this);
		player = new Player(this, new Point2D(20, 250), new Point2D(100, -20));
	}

	public void draw(GraphicsContext gc) {
		gc.setFill(Color.WHITE);
		gc.clearRect(0, 0, width, height);
		nicerObstacle.draw(gc);
		obstacle1.draw(gc);
		obstacle2.draw(gc);
		player.draw(gc);
	}

	public void simulate(double delay) {
		player.simulate(delay);
	}

}
